Difference between revisions of "Linux from source"

From Scribus
Jump to navigation Jump to search
Line 3: Line 3:
 
Dependencies
 
Dependencies
  
==== SUSE Linux (Tumbleweed) ====
+
==== openSUSE Tumbleweed ====
  
 
===== Dependencies =====
 
===== Dependencies =====

Revision as of 02:24, 8 February 2022

Ubuntu

Dependencies

openSUSE Tumbleweed

Dependencies
  • cmake
  • gcc-c++
  • libQt5Core5-devel
  • libQt5Widgets-devel
  • libQt5Xml-devel
  • libQt5Network-devel
  • libQt5OpenGL-devel
  • libqt5-qttools-devel
  • libQt5PrintSupport-devel
  • libjpeg8-devel
  • libpng16-devel
  • libtiff-devel
  • python38-devel
  • freetype2-devel
  • cairo-devel
  • cups-devel
  • liblcms2-devel
  • libhunspell-devel
  • libpoppler-devel
  • harfbuzz-devel
  • libmspub-devel
  • libpagemaker-devel
  • libwpg-devel
  • libvisio-devel
  • libzmf-devel
  • libcdr-devel
  • libqxp-devel
  • libfreehand-devel
Base dependencies:

sudo zypper install libjpeg8-devel libpng16-devel libtiff-devel python38-devel freetype2-devel cairo-devel cups-devel liblcms2-devel libhunspell-devel libpoppler-devel harfbuzz-devel libmspub-devel libpagemaker-devel libwpg-devel libvisio-devel libzmf-devel libcdr-devel libqxp-devel libfreehand-devel cmake gcc-c++

Qt 5 install for Scribus 1.5.x.svn:

sudo zypper install libQt5Core5-devel libQt5Widgets-devel libQt5Xml-devel libQt5Network-devel libQt5OpenGL-devel libqt5-qttools-devel libQt5PrintSupport-devel

Qt 6 install for Scribus 1.7.x.svn and higher:

sudo zypper install qt6-base-devel qt6-declarative-devel qt6-svg-devel qt6-tools qt6-tools-devel qt6-qt5compat-devel qt6-linguist-devel